phone_numbers_parser 7.0.0+1 icon indicating copy to clipboard operation
phone_numbers_parser: ^7.0.0+1 copied to clipboard

Dart library for parsing phone numbers. Inspired by Google's libphonenumber and PhoneNumberKit for ios.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add phone_numbers_parser

With Flutter:

 $ flutter pub add phone_numbers_parser

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  phone_numbers_parser: ^7.0.0+1

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:phone_numbers_parser/phone_numbers_parser.dart';
98
likes
140
pub points
94%
popularity

Publisher

unverified uploader

Dart library for parsing phone numbers. Inspired by Google's libphonenumber and PhoneNumberKit for ios.

Repository (GitHub)

Documentation

API reference

License

Icon for licenses.MIT (LICENSE)

Dependencies

dart_countries, meta, phone_number_metadata

More

Packages that depend on phone_numbers_parser